services:
  encryptionagent:
    image: ostrean/encryptionagent:${TAG}
    container_name: encryptionagent-${AGENTSETTINGS__CUSTOMERID}
    restart: always
    ports:
      - 127.0.0.1:5014:80
    environment:
      - SERVICEURLS__APIGATEWAY=${SERVICEURLS__APIGATEWAY}
    volumes:
      - ${VOLUME__LOGS}:/app/logs
    networks:
      - encryption-agent
    labels:
      - "com.centurylinklabs.watchtower.scope=${AGENTSETTINGS__CUSTOMERID}"
  watchtower:
    image: containrrr/watchtower
    container_name: watchtower-${AGENTSETTINGS__CUSTOMERID}
    restart: always
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
    command: --interval 60 --scope ${AGENTSETTINGS__CUSTOMERID}
    networks:
      - encryption-agent
    labels:
      - "com.centurylinklabs.watchtower.scope=${AGENTSETTINGS__CUSTOMERID}"
networks:
    encryption-agent:
      name: encryption-agent-${AGENTSETTINGS__CUSTOMERID}